Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.webapp
Class UIComponentBodyTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public abstract class UIComponentBodyTag
extends UIComponentTag
implements javax.servlet.jsp.tagext.BodyTag

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary
`protected javax.servlet.jsp.tagext.BodyContent` | `bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UIComponentBodyTag()`

Method Summary
`int` | `doAfterBody()`
`void` | `doInitBody()`
`javax.servlet.jsp.tagext.BodyContent` | `getBodyContent()`
`protected int` | `getDoAfterBodyValue()`
`protected int` | `getDoStartValue()`
`javax.servlet.jsp.JspWriter` | `getPreviousOut()`
`void` | `release()`
`void` | `setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setProperties, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Field Detail

### bodyContent

    protected javax.servlet.jsp.tagext.BodyContent bodyContent

Constructor Detail

### UIComponentBodyTag

    public UIComponentBodyTag()

Method Detail

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Throws:
    `javax.servlet.jsp.JspException`

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTag`

### getBodyContent

    public javax.servlet.jsp.tagext.BodyContent getBodyContent()

### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent bodyContent)

  Specified by:
    `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`

### getPreviousOut

    public javax.servlet.jsp.JspWriter getPreviousOut()

### getDoStartValue

    protected int getDoStartValue()
                           throws javax.servlet.jsp.JspException

  Overrides:
    `getDoStartValue` in class `UIComponentTag`
  Throws:
    `javax.servlet.jsp.JspException`

### getDoAfterBodyValue

    protected int getDoAfterBodyValue()
                               throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD